Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.query
Class AssembleObjectState

    java.lang.Object
      com.sun.mdm.index.query.AssembleObjectState

All Implemented Interfaces:
  java.lang.Cloneable

class AssembleObjectState
extends java.lang.Object
implements java.lang.Cloneable

This object is used by AssemlerEngine during Assembling process. This object is created for each object type in ValueMetaNode graph which is not a root and which has more than one child. Say We have Object graph System Person Address Phone In this case, Person is parent of Address and Phone. Person and Address attributes may be retrieved in a different JDBC ResultSet and Phone may be in different ResultSet. So the state of Person object per each instance of root object (System) is saved temporarily in this object. So now the Phone objects in a different JDBC ResultSet can be bound to their parent Person objects.

Constructor Summary
`(package private)` | `AssembleObjectState(java.lang.String objectName)` Creates a new instance of AssembleObjectState

Method Summary
`(package private) void` | `add(java.lang.Object object, java.lang.Object[] keyValues)`
`java.lang.Object` | `clone()` clone this object.
`(package private) java.lang.Object` | `getObject(java.lang.Object[] keyValues)` returns the Object that matched the input keyValues.
`(package private) java.lang.String` | `getObjName()`
`(package private) void` | `init()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssembleObjectState

    AssembleObjectState(java.lang.String objectName)

  Creates a new instance of AssembleObjectState

  Parameters:
    `objectName` - Name of the object say Person.

Method Detail

### add

    void add(java.lang.Object object,
             java.lang.Object[] keyValues)

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  clone this object. The new object does not clone the data, only clones the ObjectName for which this object is temporarily saving data.

  Returns:
    cloned object.
  Throws:
    `java.lang.CloneNotSupportedException` - CloneNotSupportedException

### getObject

    java.lang.Object getObject(java.lang.Object[] keyValues)

  returns the Object that matched the input keyValues. This is the parent object that correspond to input keyValues and so after being returned can be bound with the child object.

  Parameters:
    `keyValues` - Object[]
  Returns:
    Object that matches the keyValues.

### getObjName

    java.lang.String getObjName()

### init

    void init()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.